package com.game.business.domain;

import com.game.common.annotation.Excel;

public class GameRecord {

    private static final long serialVersionUID = 1L;

    /** 游戏开奖Id */
    @Excel(name = "游戏记录Id", cellType = Excel.ColumnType.NUMERIC, prompt = "游戏记录Id")
    private Long gameRecordId;

    @Excel(name = "游戏类型Id")
    private Long gameTypeId;

    @Excel(name = "游戏期号")
    private String gameDate;

    @Excel(name = "是否为开奖：0：否 1：是")
    private Integer isLottery;

    @Excel(name = "游戏记录时间")
    private String gameRecordDate;

    @Excel(name = "游戏开奖结果")
    private String gameLotterySucc;

    public Long getGameRecordId() {
        return gameRecordId;
    }

    public void setGameRecordId(Long gameRecordId) {
        this.gameRecordId = gameRecordId;
    }

    public Long getGameTypeId() {
        return gameTypeId;
    }

    public void setGameTypeId(Long gameTypeId) {
        this.gameTypeId = gameTypeId;
    }

    public String getGameDate() {
        return gameDate;
    }

    public void setGameDate(String gameDate) {
        this.gameDate = gameDate;
    }

    public Integer getIsLottery() {
        return isLottery;
    }

    public void setIsLottery(Integer isLottery) {
        this.isLottery = isLottery;
    }

    public String getGameRecordDate() {
        return gameRecordDate;
    }

    public void setGameRecordDate(String gameRecordDate) {
        this.gameRecordDate = gameRecordDate;
    }

    public String getGameLotterySucc() {
        return gameLotterySucc;
    }

    public void setGameLotterySucc(String gameLotterySucc) {
        this.gameLotterySucc = gameLotterySucc;
    }
}
