package com.game.business.service.impl;

import com.game.business.domain.GameLottery;
import com.game.business.mapper.GameLotteryMapper;
import com.game.business.service.GameLotteryService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class GameLotteryServiceImpl implements GameLotteryService {

    @Autowired
    private GameLotteryMapper gameLotteryMapper;

    @Override
    public int insertGameLottery(GameLottery gameLottery) {
        return gameLotteryMapper.insertGameLottery(gameLottery);
    }

    @Override
    public int updateGameLottery(GameLottery gameLottery) {
        return gameLotteryMapper.updateGameLottery(gameLottery);
    }

    @Override
    public List<GameLottery> selectGameLotteryList(GameLottery gameLottery) {
        return gameLotteryMapper.selectGameLotteryList(gameLottery);
    }

    @Override
    public GameLottery selectGameLottery(GameLottery gameLottery) {
        return gameLotteryMapper.selectGameLottery(gameLottery);
    }
}
