package com.game.business.service.impl;

import com.game.business.domain.GameRecord;
import com.game.business.mapper.GameRecordMapper;
import com.game.business.service.GameRecordService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class GameRecordServiceImpl implements GameRecordService {

    @Autowired
    private GameRecordMapper gameRecordMapper;

    @Override
    public int insertGameRecord(GameRecord gameRecord) {
        return gameRecordMapper.insertGameRecord(gameRecord);
    }

    @Override
    public List<GameRecord> selectGameLotteryList(GameRecord gameRecord) {
        return gameRecordMapper.selectGameLotteryList(gameRecord);
    }

    @Override
    public GameRecord selectGameRecord(GameRecord gameRecord) {
        return gameRecordMapper.selectGameRecord(gameRecord);
    }
}
